Bug 252510 - lang/php73: Update to 7.3.26
Summary: lang/php73: Update to 7.3.26
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL: https://www.php.net/archive/2021.php#...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-08 10:43 UTC by michael.glaus
Modified: 2021-01-10 00:02 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (tz)


Attachments
Update to 7.3.26 (593 bytes, patch)
2021-01-08 10:43 UTC, michael.glaus
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description michael.glaus 2021-01-08 10:43:34 UTC
Created attachment 221382 [details]
Update to 7.3.26

Changelog: https://www.php.net/ChangeLog-7.php#7.3.26
Comment 1 commit-hook freebsd_committer 2021-01-09 23:47:43 UTC
A commit references this bug:

Author: tz
Date: Sat Jan  9 23:46:46 UTC 2021
New revision: 560905
URL: https://svnweb.freebsd.org/changeset/ports/560905

Log:
  lang/php73: Upgrade from 7.3.25 to 7.3.26

  Standard:

      Fixed bug #77423 (FILTER_VALIDATE_URL accepts URLs with invalid userinfo). (CVE-2020-7071)
      Fixed bug #80457 (stream_get_contents() fails with maxlength=-1 or default).

  PR:		252510
  Submitted by:	<michael.glaus@hostpoint.ch>

Changes:
  head/lang/php73/Makefile
  head/lang/php73/distinfo
Comment 2 Torsten Zuehlsdorff freebsd_committer 2021-01-09 23:55:47 UTC
Committed, thank you! :)
Comment 3 commit-hook freebsd_committer 2021-01-10 00:02:50 UTC
A commit references this bug:

Author: tz
Date: Sun Jan 10 00:02:09 UTC 2021
New revision: 560909
URL: https://svnweb.freebsd.org/changeset/ports/560909

Log:
  MFH: r560905

  lang/php73: Upgrade from 7.3.25 to 7.3.26

  Standard:

      Fixed bug #77423 (FILTER_VALIDATE_URL accepts URLs with invalid userinfo). (CVE-2020-7071)
      Fixed bug #80457 (stream_get_contents() fails with maxlength=-1 or default).

  PR:		252510
  Submitted by:	<michael.glaus@hostpoint.ch>

Changes:
_U  branches/2021Q1/
  branches/2021Q1/lang/php73/Makefile
  branches/2021Q1/lang/php73/distinfo